Name: bug-buddy
Version: 2.1.6
Release: 4
Epoch: 1
Summary: A bug reporting utility for GNOME.
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/pre-gnome2/%{name}/%{name}-%{version}.tar.bz2
URL: http://primates.helixcode.com/~jacob/bug-buddy/
BuildRoot:%{_tmppath}/%{name}-%{version}-root

BuildRequires: libxml2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libglade2-devel
BuildRequires: gtk2-devel

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Ximian bug tracking systems.

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

# bug buddy doesn't seem to have schemas at the moment?
#%post
#export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#SCHEMAS="bug-buddy.schemas"
#for S in $SCHEMAS; do
#  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
#done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%{_datadir}/pixmaps
%{_datadir}/bug-buddy
%{_datadir}/mime-info
%{_datadir}/applications
%{_datadir}/gnome
%{_datadir}/omf
%{_bindir}/*

%changelog
* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 2.1.6

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- remove gconf post for now, seems to lack a schemas file

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- switch to GNOME 2 version
- clean up file list to use macros

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- rebuild with translations

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton

* Thu Jan 24 2002 Tim Powers <timp@redhat.com>
- rebuild against new openssl

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version. (2.0.6)

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't define %%nam and %%ver (why do people do that?)
- use %%{_tmppath}
- langify
- more cleanups

* Mon Dec 04 2000 Jonathan Blandford <jrb@redhat.com>
- Move to newer version.

* Fri Aug 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- delete Vendor: and Distribution: tags (#16115)
- move changelog to the end of the spec file

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
